Classes | Namespaces | Functions
geospatial.h File Reference

Geospatial search support routines. More...

## Classes
struct | Xapian::LatLongCoord
| A latitude-longitude coordinate. More...
class | Xapian::LatLongCoordsIterator
| An iterator across the values in a LatLongCoords object. More...
class | Xapian::LatLongCoords
| A sequence of latitude-longitude coordinates. More...
class | Xapian::LatLongMetric
| Base class for calculating distances between two lat/long coordinates. More...
class | Xapian::GreatCircleMetric
| Calculate the great-circle distance between two coordinates on a sphere. More...
class | Xapian::LatLongDistancePostingSource
| Posting source which returns a weight based on geospatial distance. More...
class | Xapian::LatLongDistanceKeyMaker
| KeyMaker subclass which sorts by distance from a latitude/longitude. More...

## Namespaces
| Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Functions
double | Xapian::miles_to_metres (double miles)
| Convert from miles to metres. More...
double | Xapian::metres_to_miles (double metres)
| Convert from metres to miles. More...
bool | Xapian::operator!= (const LatLongCoordsIterator &a, const LatLongCoordsIterator &b)
| Inequality test for LatLongCoordsIterator objects.

## Detailed Description

Geospatial search support routines.